Skip to main content
PUT
Create a new n8n bot instance

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Name of the instance

n8nId
string
required

Id bot n8n

Body

application/json

Configuration for the n8n bot instance

enabled
boolean
required
webhookUrl
string
required
basicAuthUser
string
basicAuthPassword
string
triggerType
enum<string>
Available options:
all,
keyword
triggerOperator
enum<string>
Available options:
contains,
equals,
startsWith,
endsWith,
regex,
none
triggerValue
string
expire
integer
keywordFinish
string
delayMessage
integer
unknownMessage
string
listeningFromMe
boolean
stopBotFromMe
boolean
keepOpen
boolean
debounceTime
integer
ignoreJids
string[]

Response

200 - application/json

n8n bot instance created successfully

message
string
Example:

"n8n bot instance created successfully"